Bug 296774 - GHNS support for KWin Scripts
Summary: GHNS support for KWin Scripts
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: scripting (show other bugs)
Version: git master
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: 4.9.3
Assignee: KWin default assignee
URL: https://git.reviewboard.kde.org/r/104...
Keywords:
Depends on: 297635
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 19:26 UTC by Martin Flöser
Modified: 2012-10-24 18:36 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.9.3
mgraesslin: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Flöser 2012-03-25 19:26:38 UTC
The KWin Scripts KCM should have a "Download New Script..." button with GHNS integration.
Comment 1 Martin Flöser 2012-05-17 09:21:04 UTC
Git commit 05620951780b4b22de9de7b270d5bc9669264f1f by Martin Gräßlin.
Committed on 06/05/2012 at 16:54.
Pushed by graesslin into branch 'master'.

Get Hot New Stuff support for KWin Scripts

Button currently not yet shown as the category on kde-look is
still missing. This means the code is also completely untested.

REVIEW: 104877

M  +2    -0    kwin/kcmkwin/kwinscripts/CMakeLists.txt
A  +5    -0    kwin/kcmkwin/kwinscripts/kwinscripts.knsrc
M  +17   -0    kwin/kcmkwin/kwinscripts/module.cpp
M  +1    -0    kwin/kcmkwin/kwinscripts/module.h
M  +13   -1    kwin/kcmkwin/kwinscripts/module.ui

http://commits.kde.org/kde-workspace/05620951780b4b22de9de7b270d5bc9669264f1f
Comment 2 Martin Flöser 2012-10-24 18:36:48 UTC
Git commit 521c19f98d5900aa296597bf6a591b3396feed69 by Martin Gräßlin.
Committed on 20/10/2012 at 08:50.
Pushed by graesslin into branch 'KDE/4.9'.

Enable GHNS button for KWin scripts

Functionality had already been present for quite some time and now that
the category on kde-look exists, we can just show the button.
FIXED-IN: 4.9.3
REVIEW: 106963

M  +0    -3    kwin/kcmkwin/kwinscripts/module.cpp

http://commits.kde.org/kde-workspace/521c19f98d5900aa296597bf6a591b3396feed69